range_validbuf(3)

NAME
range_validbuf - range check buffer

SYNTAX
#include <libowfat/rangecheck.h> int range_validbuf(const void* buf,size_t len);

DESCRIPTION
range_validbuf does some basic plausibility checks on the buffer buf[0..len-1].

RETURN VALUE
If the buffer is implausible (buf is NULL or buf+len has an integer overflow), return 0. Otherwise, return 1.

SEE ALSO
rangecheck(3)